package com.hithomelabs.clients.Benchmarks.Sortables;

import com.hithomelabs.clients.Benchmarks.Sortable;
import com.hithomelabs.princeton1.common.Apple;

public class ReverseSortedApples implements Sortable<Apple> {

    Apple[] apples;

    public ReverseSortedApples(int size){
        apples = new Apple[size];
        for (int i = 0; i < size; i++)
            apples[i] = new Apple(size-i);
    }

    @Override
    public Apple[] getArray() {
        return apples.clone();
    }

    @Override
    public String getOrdering() {
        return "REVERSE SORTED";
    }
}
